gtk.CellRendererSpinner
Prev | The gtk Class Reference | Next

## gtk.CellRendererSpinner

gtk.CellRendererSpinner — an object that renders a spinning animation in a cell (new in PyGTK 2.22)

## Synopsis

    class gtk.CellRendererSpinner(gtk.CellRenderer):
        gtk.CellRendererSpinner()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.CellRendererSpinner

## gtk.CellRendererSpinner Properties

gtk.Object Properties

gtk.CellRenderer Properties

gtk.CellRendererText Properties

"active" | Read-Write | Wheter the spinner is active (ie. shown) in the cell. Default value: `False`
"pulse" | Read-Write | Pulse of the spinner. Increment this value to draw the next frame of the spinner animation. Usually, you would update this value in a timeout. Default value: 0
"size" | Read-Write | One of the GTK Icon Size Constants that specifies the size of the renderer spinner. Default value: gtk.ICON_SIZE_MENU

## gtk.CellRendererSpin Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.CellRenderer Signal Prototypes

## Description

`gtk.CellRendererSpinner` renders a spinning animation in a cell, very similar to `gtk.Spinner`. It can often be used as an alternative to a `gtk.CellRendererProgress` for displaying indefinite activity, instead of actual progress.

To start the animation in a cell, set the "active" property to `True` and increment the "pulse" property at regular intervals. The usual way to set the cell renderer properties for each cell is to bind them to columns in your tree model using e.g. `gtk.TreeViewColumn.add_attribute`().

## Constructor

### gtk.CellRendererSpinner

        gtk.CellRendererSpinner()

Returns : | a new `gtk.CellRendererSpinner`

### Note

This constructor is available in PyGTK 2.22 and above.

Creates a new `gtk.CellRendererSpinner`.

Prev | Up | Next
gtk.CellRendererSpin | Home | gtk.CellRendererText